Bug 1324715 - cloc 1.64 not compatible with Perl 5.22
Summary: cloc 1.64 not compatible with Perl 5.22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cloc
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-07 05:31 UTC by guoxiao
Modified: 2016-06-21 21:50 UTC (History)
4 users (show)

Fixed In Version: cloc-1.66-1.fc22 cloc-1.66-1.fc23 cloc-1.66-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-05 02:51:29 UTC
Type: Bug


Attachments (Terms of Use)

Description guoxiao 2016-04-07 05:31:27 UTC
Description of problem:

cloc 1.64 is not compatible with Perl 5.22.

when run cloc 1.64 in a linux source tree, I met the following problem:

"my" variable $begin masks earlier declaration in same scope at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 204.
"my" variable $end masks earlier declaration in same scope at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 204.
"my" variable @generic masks earlier declaration in same scope at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 214.
Use of my $_ is experimental at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 215.
"my" variable $group masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 215.
Use of my $_ is experimental at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 216.
"my" variable $_ masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 216.
"my" variable $group masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 216.
Use of my $_ is experimental at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 217.
"my" variable $_ masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 217.
"my" variable $group masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 217.
Can't create unknown regex: $RE{comment}{C} at /usr/bin/cloc line 8263.

I tried the new version cloc 1.66 and the problem is gone. 

In the release note of cloc 1.66 (https://github.com/AlDanial/cloc/releases/download/v1.66/release_notes-1.66.txt) it says

> o Changes to support Perl v5.22:
>      * Remove references to deprecated "defined(@array)".
>      * Remove "no warnings 'deprecated'" as it is no longer needed.

As the perl in Fedora 24 is v5.22, I think we should upgrade cloc to 1.66 too.

Version-Release number of selected component (if applicable):
cloc-1.64-3.fc24.noarch
perl-5.22.1-358.fc24.x86_64

How reproducible:

Steps to Reproduce:
1. git clone https://github.com/torvalds/linux
2. cd linux && cloc .

Actual results:

"my" variable $begin masks earlier declaration in same scope at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 204.
"my" variable $end masks earlier declaration in same scope at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 204.
"my" variable @generic masks earlier declaration in same scope at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 214.
Use of my $_ is experimental at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 215.
"my" variable $group masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 215.
Use of my $_ is experimental at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 216.
"my" variable $_ masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 216.
"my" variable $group masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 216.
Use of my $_ is experimental at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 217.
"my" variable $_ masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 217.
"my" variable $group masks earlier declaration in same statement at /tmp/t_Koczcsj_/Regexp/Common/comment.pm line 217.
Can't create unknown regex: $RE{comment}{C} at /usr/bin/cloc line 8263.

Expected results:

Output the line count.

Additional info:

None

Comment 1 Petr Pisar 2016-04-07 10:10:39 UTC
Upstream moved from SourceForge to GitHub as advertised on <https://sourceforge.net/projects/cloc/>. I updated the release monitoring setting.

Comment 2 Fedora Update System 2016-05-19 00:08:27 UTC
cloc-1.66-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0526bc3356

Comment 3 Fedora Update System 2016-05-19 00:27:13 UTC
cloc-1.66-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9a871511

Comment 4 Fedora Update System 2016-05-19 17:12:54 UTC
cloc-1.66-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-75ecd1ffab

Comment 5 Fedora Update System 2016-05-21 01:23:12 UTC
cloc-1.66-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9a871511

Comment 6 Fedora Update System 2016-05-21 02:27:54 UTC
cloc-1.66-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0526bc3356

Comment 7 Fedora Update System 2016-05-21 06:22:07 UTC
cloc-1.66-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-75ecd1ffab

Comment 8 guoxiao 2016-05-23 08:28:29 UTC
Why isn't this update pushed to Fedora 24 testing repository?

Comment 9 Fedora Update System 2016-06-05 02:51:22 UTC
cloc-1.66-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-06-05 02:57:36 UTC
cloc-1.66-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-06-21 21:50:04 UTC
cloc-1.66-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.